Loading...
Searching...
No Matches
proteinintegercode.h File Reference

transform protein amino acid sequence into vectors of amino acid codes More...

`#include "pappsomspp/export-import-config.h"`
`#include "../amino_acid/aastringcodec.h"`
`#include "protein.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

class | pappso::ProteinIntegerCode

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Detailed Description

transform protein amino acid sequence into vectors of amino acid codes

Date
  22/05/2023

Author
  Olivier Langella

Definition in file proteinintegercode.h.